﻿namespace HeuristicLab.Algorithms.PushGP.Data {
  using HeuristicLab.Algorithms.PushGP.Expressions;

  public class ExpressionTree {
    public ExpressionNode Root { get; set; }

    public static ExpressionTree BuildTree(ExecExpandExpression program)
    {
      var tree = new ExpressionTree { Root = new ExpressionNode(program) };

      for (var i = program.Expressions.Count - 1; i >= 0; i--) {
        tree.Root.Children.Add(ExpressionNode.CreateNode(program.Expressions[i]));
      }

      return tree;
    }
  }
}